> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single style price row

> Returns a single style price row by its ID, including all price negotiation values and price calculation definitions.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/style-prices/{id}
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/style-prices/{id}:
    get:
      tags:
        - Style Prices
      summary: Get a single style price row
      description: >-
        Returns a single style price row by its ID, including all price
        negotiation values and price calculation definitions.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStylePriceDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStylePriceDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiResponseOfStylePriceDto'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    ApiResponseOfStylePriceDto:
      required:
        - status
        - code
        - data
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/StylePriceDto'
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    StylePriceDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        styleId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        colorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        colorName:
          type:
            - 'null'
            - string
        colorStatus:
          $ref: '#/components/schemas/StyleColorStatusDto'
        sizeRangeSizeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        sizeRangeSizeName:
          type:
            - 'null'
            - string
        sizeRangeSizeStatus:
          $ref: '#/components/schemas/SizeRangeSizeStatusDto'
        variantType:
          $ref: '#/components/schemas/PriceVariantTypeDto'
        brandComments:
          type:
            - 'null'
            - string
        supplierComments:
          type:
            - 'null'
            - string
        futureDate:
          type:
            - 'null'
            - string
          format: date-time
        futurePriceBrandComments:
          type:
            - 'null'
            - string
        futurePriceSupplierComments:
          type:
            - 'null'
            - string
        priceNegotiations:
          type: array
          items:
            $ref: '#/components/schemas/PriceNegotiationDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    StyleColorStatusDto: {}
    SizeRangeSizeStatusDto: {}
    PriceVariantTypeDto: {}
    PriceNegotiationDto:
      type: object
      properties:
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        futurePrice:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        priceCalculation:
          $ref: '#/components/schemas/PriceCalculationDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    PriceCalculationDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        ref:
          type: string
        name:
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/TypeOfCalculationDto'
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PriceCalculationCurrencyDto'
        formula:
          type:
            - 'null'
            - string
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    TypeOfCalculationDto: {}
    PriceCalculationCurrencyDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        code:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false

````